Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jm.sit
Class JLabelResults

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.JLabel
                              |
                              +--jm.sit.JLabelResults

All Implemented Interfaces:
  javax.accessibility.Accessible, java.util.EventListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.awt.event.MouseListener, java.awt.event.MouseMotionListener, java.io.Serializable, javax.swing.SwingConstants

public class JLabelResults
extends javax.swing.JLabel
implements java.awt.event.MouseListener, java.awt.event.MouseMotionListener

GUI-Element zu Anzeige der berechneten SIT-Kurven. Wird von der Swing-Klasse JLabel abgeleitet- Zeigt jeweils zwei Kurven in einem Koordinatensystem an. Wird von der Klasse SITResults zur Anzeige der Berechnungsergebnisse benoetigt.

See Also:
  `SITResults`, Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JLabel
`javax.swing.JLabel.AccessibleJLabel`

Nested classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary

Fields inherited from class javax.swing.JLabel
`labelFor`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.SwingConstants
`BOTTOM, CENTER, EAST, HORIZONTAL, LEADING, LEFT, NEXT, NORTH, NORTH_EAST, NORTH_WEST, PREVIOUS, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TRAILING, VERTICAL, WEST`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`JLabelResults()` Der Konstruktor.

Method Summary
`int` | `getXMarks()` Liest die Anzahl der Unterteilungsstriche auf der x-Achse des Koordinatensystems.
`int` | `getYMarks()` Liest die Anzahl der Unterteilugnen der Y-Achse.
`void` | `mouseClicked(java.awt.event.MouseEvent e)` Faengt Events ab, die durch Klicken der Maustasten oder Bewegung der Maus ausgeloest werden.
`void` | `mouseDragged(java.awt.event.MouseEvent e)` Faengt Events ab, die durch Klicken der Maustasten oder Bewegung der Maus ausgeloest werden.
`void` | `mouseEntered(java.awt.event.MouseEvent e)` Faengt Events ab, die durch Mausbewegungen ausgeloest werden.
`void` | `mouseExited(java.awt.event.MouseEvent e)` Faengt Events ab, die durch Mausbewegungen ausgeloest werden.
`void` | `mouseMoved(java.awt.event.MouseEvent e)` Faengt Events ab, die durch Klicken der Maustasten oder Bewegung der Maus ausgeloest werden.
`void` | `mousePressed(java.awt.event.MouseEvent e)` Faengt Events ab, die durch Klicken der Maustasten oder Bewegung der Maus ausgeloest werden.
`void` | `mouseReleased(java.awt.event.MouseEvent e)` Faengt Events ab, die durch Klicken der Maustasten oder Bewegung der Maus ausgeloest werden.
`void` | `paint(java.awt.Graphics g)` Ueberschreibt die Paint-Mathode der Oberklasse, um das Koordinatensystem sowie die Kurven auf dem Canvas einzuzeichnen.
`void` | `setAverageCurveColor(java.awt.Color c)` Setzt die Farbe der Kurve fuer die Darstellung der mittleren Grauwerte.
`void` | `setAverageGray(int half, double[] data)` Uebergibt die Daten der Kruve fuer den mittleren Grauwert.
`void` | `setDeviationCurveColor(java.awt.Color c)` Setzt die Farbe der Kurve fuer die Darstellung der Standardabweichung
`void` | `setDevScaleFactor(double s)` Setzt den Skalierungsfaktor fuer die Darstellung der Stadardabweichung.
`void` | `setStandardDeviation(int half, double[] data)` Uebergibt die Daten der Kruve fuer die Standardabweichung
`void` | `setText(java.lang.String text)` Setzt die Achsenbeschriftung der y-Achse.
`void` | `setXMarks(int m)` Setzt die Anzahl der Unterteilungsstriche auf der x-Achse des Koordinatensystems.
`void` | `setXScale(int min, int max)` Setzt die Skalierung der X-Achse.
`void` | `setYMarks(int m)` Setzt die Anzahl der Unterteilungsstriche auf der y-Achse des Koordinatensystems.
`void` | `setYScale(int min, int max)` Setzt die Skalierung der Y-Achse.
`void` | `showAverageGrayValues(boolean show)` Legt fest, ob die Kurve fuer die mittleren Grauwerte angezeigt wird.
`void` | `showMarks(boolean show)` Legt fest, ob die Markierungen an den Kurvenpunkten angezeigt werden.
`void` | `showNullValues(boolean show)` Legt fest, ob die Nullwerte innerhalb der Kurve angezeigt werden.
`void` | `showStandardDeviationValues(boolean show)` Legt fest, ob die Kurve fuer die Standdardabweichungen angezeigt wird.

Methods inherited from class javax.swing.JLabel
`checkHorizontalKey, checkVerticalKey, getAccessibleContext, getDisabledIcon, getDisplayedMnemonic, getDisplayedMnemonicIndex, getHorizontalAlignment, getHorizontalTextPosition, getIcon, getIconTextGap, getLabelFor, getText, getUI, getUIClassID, getVerticalAlignment, getVerticalTextPosition, imageUpdate, paramString, setDisabledIcon, setDisplayedMnemonic, setDisplayedMnemonic, setDisplayedMnemonicIndex, setHorizontalAlignment, setHorizontalTextPosition, setIcon, setIconTextGap, setLabelFor, setUI, setVerticalAlignment, setVerticalTextPosition, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JLabelResults

    public JLabelResults()

  Der Konstruktor.

Method Detail

### paint

    public void paint(java.awt.Graphics g)

  Ueberschreibt die Paint-Mathode der Oberklasse, um das Koordinatensystem sowie die Kurven auf dem Canvas einzuzeichnen.

  Overrides:
    `paint` in class `javax.swing.JComponent`
  Parameters:
    `g` - Der uebergebene Graphics-Canvas

### setXMarks

    public void setXMarks(int m)

  Setzt die Anzahl der Unterteilungsstriche auf der x-Achse des Koordinatensystems.

  Parameters:
    `m` - die gewuenschte Anzahl der Unterteilungsstriche.

### getXMarks

    public int getXMarks()

  Liest die Anzahl der Unterteilungsstriche auf der x-Achse des Koordinatensystems.

### setYMarks

    public void setYMarks(int m)

  Setzt die Anzahl der Unterteilungsstriche auf der y-Achse des Koordinatensystems.

  Parameters:
    `m` - die gewuenschte Anzahl der Unterteilungsstriche.

### setYScale

    public void setYScale(int min,
                          int max)

  Setzt die Skalierung der Y-Achse. Es muss ein Wertebereich (min-max) angegeben werden. Die dargestellten Kurven werden entsprechend mitskaliert.

  Parameters:
    `min` - der minimale Wert der y-Achse
    `max` - der maximale Wert der y-Achse

### setDevScaleFactor

    public void setDevScaleFactor(double s)

  Setzt den Skalierungsfaktor fuer die Darstellung der Stadardabweichung.

  Parameters:
    `s` - double-Wert fuer die gewuenschte Skalierung (0,1-1,0)

### setXScale

    public void setXScale(int min,
                          int max)

  Setzt die Skalierung der X-Achse. Es muss ein Wertebereich (min-max) angegeben werden. Die dargestellten Kurven werden entsprechend mitskaliert.

  Parameters:
    `min` - der minimale Wert der x-Achse
    `max` - der maximale Wert der x-Achse

### getYMarks

    public int getYMarks()

  Liest die Anzahl der Unterteilugnen der Y-Achse.

### setText

    public void setText(java.lang.String text)

  Setzt die Achsenbeschriftung der y-Achse.

  Overrides:
    `setText` in class `javax.swing.JLabel`
  Parameters:
    `text` - die darzustellende Beschriftung als String

### setAverageCurveColor

    public void setAverageCurveColor(java.awt.Color c)

  Setzt die Farbe der Kurve fuer die Darstellung der mittleren Grauwerte.

  Parameters:
    `c` - die gewuenschte Farbe der Darstellung

### setDeviationCurveColor

    public void setDeviationCurveColor(java.awt.Color c)

  Setzt die Farbe der Kurve fuer die Darstellung der Standardabweichung

  Parameters:
    `c` - die gewuenschte Farbe der Darstellung

### setAverageGray

    public void setAverageGray(int half,
                               double[] data)

  Uebergibt die Daten der Kruve fuer den mittleren Grauwert.

  Parameters:
    `half` - die Bildhaelfte
    `data` - double-Array mit den Kurvenwerten

### setStandardDeviation

    public void setStandardDeviation(int half,
                                     double[] data)

  Uebergibt die Daten der Kruve fuer die Standardabweichung

  Parameters:
    `half` - die Bildhaelfte
    `data` - double-Array mit den Kurvenwerten

### showAverageGrayValues

    public void showAverageGrayValues(boolean show)

  Legt fest, ob die Kurve fuer die mittleren Grauwerte angezeigt wird.

  Parameters:
    `show` - true, wenn die Kurve angezeigt werden soll.

### showStandardDeviationValues

    public void showStandardDeviationValues(boolean show)

  Legt fest, ob die Kurve fuer die Standdardabweichungen angezeigt wird.

  Parameters:
    `show` - true, wenn die Kurve angezeigt werden soll.

### showMarks

    public void showMarks(boolean show)

  Legt fest, ob die Markierungen an den Kurvenpunkten angezeigt werden.

  Parameters:
    `show` - true, wenn die Markierungen angezeigt werden sollen.

### showNullValues

    public void showNullValues(boolean show)

  Legt fest, ob die Nullwerte innerhalb der Kurve angezeigt werden.

  Parameters:
    `show` - true, wenn Nullwerte angezeigt werden sollen.

### mouseEntered

    public void mouseEntered(java.awt.event.MouseEvent e)

  Faengt Events ab, die durch Mausbewegungen ausgeloest werden. Wird benoetigt, um festzustellen, ob der Benutzer den Mauszeiger ueber das Koordinatensystem bewegt hat.

  Specified by:
    `mouseEntered` in interface `java.awt.event.MouseListener`
  Parameters:
    `e` - MouseEvent

### mouseExited

    public void mouseExited(java.awt.event.MouseEvent e)

  Faengt Events ab, die durch Mausbewegungen ausgeloest werden. Wird benoetigt, um festzustellen, ob der Benutzer den Mauszeiger ueber das Koordinatensystem bewegt hat.

  Specified by:
    `mouseExited` in interface `java.awt.event.MouseListener`
  Parameters:
    `e` - MouseEvent

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent e)

  Faengt Events ab, die durch Klicken der Maustasten oder Bewegung der Maus ausgeloest werden. Wird benoetigt, um festzustellen, ob der Benutzer den Mauszeiger ueber das Koordinatensystem bewegt hat.

  Specified by:
    `mouseReleased` in interface `java.awt.event.MouseListener`
  Parameters:
    `e` - MouseEvent

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

  Faengt Events ab, die durch Klicken der Maustasten oder Bewegung der Maus ausgeloest werden. Wird benoetigt, um festzustellen, ob der Benutzer den Mauszeiger ueber das Koordinatensystem bewegt hat.

  Specified by:
    `mousePressed` in interface `java.awt.event.MouseListener`
  Parameters:
    `e` - MouseEvent

### mouseClicked

    public void mouseClicked(java.awt.event.MouseEvent e)

  Faengt Events ab, die durch Klicken der Maustasten oder Bewegung der Maus ausgeloest werden. Wird benoetigt, um festzustellen, ob der Benutzer den Mauszeiger ueber das Koordinatensystem bewegt hat.

  Specified by:
    `mouseClicked` in interface `java.awt.event.MouseListener`
  Parameters:
    `e` - MouseEvent

### mouseMoved

    public void mouseMoved(java.awt.event.MouseEvent e)

  Faengt Events ab, die durch Klicken der Maustasten oder Bewegung der Maus ausgeloest werden. Wird benoetigt, um festzustellen, ob der Benutzer den Mauszeiger ueber das Koordinatensystem bewegt hat.

  Specified by:
    `mouseMoved` in interface `java.awt.event.MouseMotionListener`
  Parameters:
    `e` - MouseEvent

### mouseDragged

    public void mouseDragged(java.awt.event.MouseEvent e)

  Faengt Events ab, die durch Klicken der Maustasten oder Bewegung der Maus ausgeloest werden. Wird benoetigt, um festzustellen, ob der Benutzer den Mauszeiger ueber das Koordinatensystem bewegt hat.

  Specified by:
    `mouseDragged` in interface `java.awt.event.MouseMotionListener`
  Parameters:
    `e` - MouseEvent

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD